path: /build/build/jack2-media-sound-2-1.9.17.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ieee1394 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 alsa dbus metadata opus pam python_single_target_python3_9" emerge media-sound/jack2:2 -pv -t && \
    USE="-doc -ieee1394 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 alsa dbus metadata opus pam python_single_target_python3_9" emerge -j ${JOBS} --nodeps media-sound/jack2:2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jack2 && luet-portage --dir /pkgdir/jack2
    media-sound/jack2:2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d9e7a65efdc94a469f9332ac632c925b98ab4397ba13fe77ed343f90f570b422
  package:
    name: jack2
    version: 1.9.17
    category: media-sound-2
    use_flags:
    - -doc
    - -ieee1394
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - alsa
    - dbus
    - metadata
    - opus
    - pam
    - python_single_target_python3_9
    requires:
    - name: opus
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Jackdmp jack implemention for multi-processor machine
    uri:
    - https://jackaudio.org/
    license: GPL-2
    buildtimestamp: 2023-08-28 18:45:40.014961303 +0000 UTC m=+137.338219067
    labels:
      BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen )
      DEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) media-libs/libsamplerate media-libs/libsndfile sys-libs/readline:0= alsa?
        ( media-libs/alsa-lib ) dbus? ( dev-libs/expat sys-apps/dbus ) ieee1394? (
        media-libs/libffado:= ) metadata? ( sys-libs/db:* ) opus? ( media-libs/opus[custom-modes]
        )
      IUSE: alsa +classic dbus doc ieee1394 libsamplerate metadata opus pam readline
        sndfile python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_single_target_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) media-libs/libsamplerate media-libs/libsndfile sys-libs/readline:0= alsa?
        ( media-libs/alsa-lib ) dbus? ( dev-libs/expat sys-apps/dbus ) ieee1394? (
        media-libs/libffado:= ) metadata? ( sys-libs/db:* ) opus? ( media-libs/opus[custom-modes]
        ) dbus? ( python_single_target_python3_7? ( dev-python/dbus-python[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-python/dbus-python[python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( dev-python/dbus-python[python_targets_python3_8(-)]
        ) python_single_target_python3_10? ( dev-python/dbus-python[python_targets_python3_10(-)]
        ) ) pam? ( sys-auth/realtime-base ) !media-sound/jack-audio-connection-kit:0
      emerge.packages: media-sound/jack2:2
      kit: media-kit
      original.package.name: media-sound/jack2
      original.package.slot: "2"
      original.package.version: 1.9.17
    treedir: /build/packages
  package_dir: /pkgdir/jack2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8929b55b1c3d35ab7a41d8525b2787886c2346cc7483443eed4ab5e4295dea09
compressiontype: zstd
files:
- usr/bin/jack_alias
- usr/bin/jack_bufsize
- usr/bin/jack_connect
- usr/bin/jack_control
- usr/bin/jack_cpu
- usr/bin/jack_cpu_load
- usr/bin/jack_disconnect
- usr/bin/jack_evmon
- usr/bin/jack_freewheel
- usr/bin/jack_iodelay
- usr/bin/jack_latent_client
- usr/bin/jack_load
- usr/bin/jack_lsp
- usr/bin/jack_metro
- usr/bin/jack_midi_dump
- usr/bin/jack_midi_latency_test
- usr/bin/jack_midiseq
- usr/bin/jack_midisine
- usr/bin/jack_monitor_client
- usr/bin/jack_multiple_metro
- usr/bin/jack_netsource
- usr/bin/jack_property
- usr/bin/jack_samplerate
- usr/bin/jack_server_control
- usr/bin/jack_session_notify
- usr/bin/jack_showtime
- usr/bin/jack_simdtests
- usr/bin/jack_simple_client
- usr/bin/jack_simple_session_client
- usr/bin/jack_test
- usr/bin/jack_thru
- usr/bin/jack_transport
- usr/bin/jack_unload
- usr/bin/jack_wait
- usr/bin/jack_zombie
- usr/bin/jackd
- usr/bin/jackdbus
- usr/include/jack/control.h
- usr/include/jack/intclient.h
- usr/include/jack/jack.h
- usr/include/jack/jslist.h
- usr/include/jack/metadata.h
- usr/include/jack/midiport.h
- usr/include/jack/net.h
- usr/include/jack/ringbuffer.h
- usr/include/jack/session.h
- usr/include/jack/statistics.h
- usr/include/jack/systemdeps.h
- usr/include/jack/thread.h
- usr/include/jack/transport.h
- usr/include/jack/types.h
- usr/include/jack/uuid.h
- usr/include/jack/weakjack.h
- usr/include/jack/weakmacros.h
- usr/lib64/jack/inprocess.so
- usr/lib64/jack/jack_alsa.so
- usr/lib64/jack/jack_alsarawmidi.so
- usr/lib64/jack/jack_dummy.so
- usr/lib64/jack/jack_loopback.so
- usr/lib64/jack/jack_net.so
- usr/lib64/jack/jack_netone.so
- usr/lib64/jack/jack_proxy.so
- usr/lib64/jack/netmanager.so
- usr/lib64/jack/profiler.so
- usr/lib64/libjack.so
- usr/lib64/libjack.so.0
- usr/lib64/libjack.so.0.1.0
- usr/lib64/libjackserver.so
- usr/lib64/libjackserver.so.0
- usr/lib64/libjackserver.so.0.1.0
- usr/lib64/pkgconfig/jack.pc
- usr/share/dbus-1/services/org.jackaudio.service
- usr/share/doc/jack2-1.9.17/AUTHORS.rst.bz2
- usr/share/doc/jack2-1.9.17/ChangeLog.rst.bz2
- usr/share/doc/jack2-1.9.17/README.rst.bz2
- usr/share/doc/jack2-1.9.17/README_NETJACK2.bz2
- usr/share/man/man1/alsa_in.1.bz2
- usr/share/man/man1/alsa_out.1
- usr/share/man/man1/jack_bufsize.1.bz2
- usr/share/man/man1/jack_connect.1.bz2
- usr/share/man/man1/jack_disconnect.1
- usr/share/man/man1/jack_freewheel.1.bz2
- usr/share/man/man1/jack_impulse_grabber.1.bz2
- usr/share/man/man1/jack_iodelay.1.bz2
- usr/share/man/man1/jack_load.1.bz2
- usr/share/man/man1/jack_lsp.1.bz2
- usr/share/man/man1/jack_metro.1.bz2
- usr/share/man/man1/jack_monitor_client.1.bz2
- usr/share/man/man1/jack_netsource.1.bz2
- usr/share/man/man1/jack_property.1.bz2
- usr/share/man/man1/jack_samplerate.1.bz2
- usr/share/man/man1/jack_showtime.1.bz2
- usr/share/man/man1/jack_simple_client.1.bz2
- usr/share/man/man1/jack_transport.1.bz2
- usr/share/man/man1/jack_unload.1.bz2
- usr/share/man/man1/jack_wait.1.bz2
- usr/share/man/man1/jackd.1.bz2
- usr/share/man/man1/jackrec.1.bz2
- var/db/pkg/media-sound/jack2-1.9.17/BDEPEND
- var/db/pkg/media-sound/jack2-1.9.17/BUILD_TIME
- var/db/pkg/media-sound/jack2-1.9.17/CATEGORY
- var/db/pkg/media-sound/jack2-1.9.17/CBUILD
- var/db/pkg/media-sound/jack2-1.9.17/CC
- var/db/pkg/media-sound/jack2-1.9.17/CFLAGS
- var/db/pkg/media-sound/jack2-1.9.17/CHOST
- var/db/pkg/media-sound/jack2-1.9.17/CONTENTS
- var/db/pkg/media-sound/jack2-1.9.17/COUNTER
- var/db/pkg/media-sound/jack2-1.9.17/CXXFLAGS
- var/db/pkg/media-sound/jack2-1.9.17/DEFINED_PHASES
- var/db/pkg/media-sound/jack2-1.9.17/DEPEND
- var/db/pkg/media-sound/jack2-1.9.17/DESCRIPTION
- var/db/pkg/media-sound/jack2-1.9.17/EAPI
- var/db/pkg/media-sound/jack2-1.9.17/FEATURES
- var/db/pkg/media-sound/jack2-1.9.17/HOMEPAGE
- var/db/pkg/media-sound/jack2-1.9.17/INHERITED
- var/db/pkg/media-sound/jack2-1.9.17/IUSE
- var/db/pkg/media-sound/jack2-1.9.17/IUSE_EFFECTIVE
- var/db/pkg/media-sound/jack2-1.9.17/KEYWORDS
- var/db/pkg/media-sound/jack2-1.9.17/LDFLAGS
- var/db/pkg/media-sound/jack2-1.9.17/LICENSE
- var/db/pkg/media-sound/jack2-1.9.17/NEEDED
- var/db/pkg/media-sound/jack2-1.9.17/PF
- var/db/pkg/media-sound/jack2-1.9.17/PROVIDES
- var/db/pkg/media-sound/jack2-1.9.17/RDEPEND
- var/db/pkg/media-sound/jack2-1.9.17/REQUIRES
- var/db/pkg/media-sound/jack2-1.9.17/SIZE
- var/db/pkg/media-sound/jack2-1.9.17/SLOT
- var/db/pkg/media-sound/jack2-1.9.17/USE
- var/db/pkg/media-sound/jack2-1.9.17/environment.bz2
- var/db/pkg/media-sound/jack2-1.9.17/jack2-1.9.17.ebuild
- var/db/pkg/media-sound/jack2-1.9.17/repository
package_cacheimage: ""
runtime:
  name: jack2
  version: 1.9.17
  category: media-sound-2
  use_flags:
  - -doc
  - -ieee1394
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - alsa
  - dbus
  - metadata
  - opus
  - pam
  - python_single_target_python3_9
  requires:
  - name: dbus-python
    version: '>=0'
    category: dev-python
  - name: libsamplerate
    version: '>=0'
    category: media-libs
  - name: libsndfile
    version: '>=0'
    category: media-libs
  - name: opus
    version: '>=0'
    category: media-libs
  - name: realtime-base
    version: '>=0'
    category: sys-auth
  - name: readline
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Jackdmp jack implemention for multi-processor machine
  uri:
  - https://jackaudio.org/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen )
    DEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) media-libs/libsamplerate media-libs/libsndfile sys-libs/readline:0= alsa?
      ( media-libs/alsa-lib ) dbus? ( dev-libs/expat sys-apps/dbus ) ieee1394? ( media-libs/libffado:=
      ) metadata? ( sys-libs/db:* ) opus? ( media-libs/opus[custom-modes] )
    IUSE: alsa +classic dbus doc ieee1394 libsamplerate metadata opus pam readline
      sndfile python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_single_target_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) media-libs/libsamplerate media-libs/libsndfile sys-libs/readline:0= alsa?
      ( media-libs/alsa-lib ) dbus? ( dev-libs/expat sys-apps/dbus ) ieee1394? ( media-libs/libffado:=
      ) metadata? ( sys-libs/db:* ) opus? ( media-libs/opus[custom-modes] ) dbus?
      ( python_single_target_python3_7? ( dev-python/dbus-python[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-python/dbus-python[python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( dev-python/dbus-python[python_targets_python3_8(-)]
      ) python_single_target_python3_10? ( dev-python/dbus-python[python_targets_python3_10(-)]
      ) ) pam? ( sys-auth/realtime-base ) !media-sound/jack-audio-connection-kit:0
    emerge.packages: media-sound/jack2:2
    kit: media-kit
    original.package.name: media-sound/jack2
    original.package.slot: "2"
    original.package.version: 1.9.17
